
Foreman - Bug #377

HTML output is not XHTML compliant

09/15/2010 03:52 PM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Web Interface   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

To use the assert_select test feature the generated output must be XHTML compliant.

History

#1 - 09/15/2010 04:14 PM - Paul Kelly

- Branch set to bug/377-XHTML-compliance

Fixed dozens of tiny issues and found a few real snarfs.

Ran some of the key output pages through the W3 Validator engine and fixed the errors. Some pages like the host edit page are very had to fix, with

all that active javascript embedded so this is not a completed task, (and may never be.)

#2 - 09/16/2010 01:07 PM - Paul Kelly

- Status changed from New to Ready For Testing

#3 - 09/19/2010 03:13 PM - Ohad Levy

i've commited this change (afaiu) via the branch for #239.. is there anything else that needs to be done?

#4 - 09/19/2010 04:47 PM - Paul Kelly

This patch was added onto the #239 branch so I guess that it is done. :-)

#5 - 09/20/2010 10:36 AM - Paul Kelly

- Status changed from Ready For Testing to Closed

This was included in the #239 branch so is already in develop

#6 - 09/20/2010 12:17 PM - Ohad Levy

- Target version set to 0.1-6
